Approve a payment request
curl --request POST \
--url https://api.plane.com/v1/payment-requests/{id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approver": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.plane.com/v1/payment-requests/{id}/approve"
payload = {
"approver": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({approver: '<string>', reason: '<string>'})
};
fetch('https://api.plane.com/v1/payment-requests/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
"worker": "wr_anqRSFcK36ie85",
"amount": "1200.00",
"currency": "EUR",
"status": "approved",
"reference": "EV1S3GDM",
"note": "Payment for July",
"period": {
"starts": "2023-07-01",
"ends": "2023-07-31"
},
"documents": [],
"approvals": ["appr_YzmQ5oxQE78bDV3fZwEU3vGr"],
"payment": null
}
Payment Requests
Approve a payment request
POST
/
v1
/
payment-requests
/
{id}
/
approve
Approve a payment request
A request can be approved any number of times by any number of individuals in your Plane account.
Each approval will be independently listed on the Payment Request object.
Parameters
The ID of the payment request you are approving.
The UUID of the manager approving this request.
An optional description of why the request was approved, visible to the worker.
Returns
Returns the Payment Request object with a new approval.{
"id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
"worker": "wr_anqRSFcK36ie85",
"amount": "1200.00",
"currency": "EUR",
"status": "approved",
"reference": "EV1S3GDM",
"note": "Payment for July",
"period": {
"starts": "2023-07-01",
"ends": "2023-07-31"
},
"documents": [],
"approvals": ["appr_YzmQ5oxQE78bDV3fZwEU3vGr"],
"payment": null
}
Was this page helpful?
⌘I